Monad API
string · required
Properties for Variant 1: stringstringstringstringstringstring
string · requiredstring · requiredstringstringstringstringstringstringstring
string · requiredstring · required
Properties for Variant 1: stringstringstringstringstringstring
Secret management endpoints
Create secret
POST
https://app.monad.com/api
/v2/{organization_id}/secrets
Authorization (header)
or
x-api-key (header)
Creates a new secret for the specified organization
path Parameters
organization_idOrganization ID
Create secret › Request Body
oneOf
Exactly one variant must match.
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object | |
| type = object |
Create secret › Responses
Created
A secret object without sensitive data
created_atdescriptionidnameorganization_idupdated_atGet secret with components
GET
https://app.monad.com/api
/v2/{organization_id}/secrets/{secret_id}
Authorization (header)
or
x-api-key (header)
Gets a specific secret by ID including inputs and outputs that use it
path Parameters
organization_idOrganization ID
secret_idSecret ID
Get secret with components › Responses
OK
created_atWhen the secret was created
descriptionThe user set Description of the secret
object[]
idThe ID of the secret
object[]
nameThe user set Name of the secret
organization_idThe OrganizationID the secret belongs to
object[]
object[]
updated_atWhen the secret was updated
valueThe value of the secret. This will never be returned to the client but can be used to set new values when used in a request payload.
Update secret
PATCH
https://app.monad.com/api
/v2/{organization_id}/secrets/{secret_id}
Authorization (header)
or
x-api-key (header)
Updates a specific secret by ID
path Parameters
organization_idOrganization ID
secret_idSecret ID
Update secret › Request Body
oneOf
Exactly one variant must match.
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object | |
| type = object |
Update secret › Responses
OK
A secret object without sensitive data
created_atdescriptionidnameorganization_idupdated_at